> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/standard-components/component-block-discount-dialog.md).

# Component: Block Discount Dialog

\| 🛠 This feature is in **beta**. Please contact <support@limio.com> if you have issues with it. |

**Purpose:** Use this Enforcement Component to block multiple discounts being applied to the same subscription through a cancel/save journey.

{% embed url="<https://69c2cf3a42a094f3cd354b8d-cannwfeosv.chromatic.com/?path=/story/shop-components-dialogs-block-discount-dialog--default&full=1&shortcuts=false&singleStory=true&embed=true>" %}

| id            | label          | type     | default                                            |
| ------------- | -------------- | -------- | -------------------------------------------------- |
| heading       | Heading        | string   | You already have a discounted offer                |
| body          | Body           | richtext | It looks like you already have a discounted offer. |
| showButton    | Show a button? | boolean  | false                                              |
| buttonLabel   | Button label   | string   | Click here                                         |
| buttonUrl     | Button URL     | string   | /renew                                             |
| secondaryText | Secondary Text | richtext | It looks like you've already got a discount.       |
| componentId   | Component Id   | string   | block-discount-dialog-limio                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/components/component-library/standard-components/component-block-discount-dialog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
